summaryrefslogtreecommitdiffstats
path: root/Modules/Squish4RunTestCase.sh
diff options
context:
space:
mode:
authorAlex Neundorf <neundorf@kde.org>2012-11-04 20:06:20 (GMT)
committerAlex Neundorf <neundorf@kde.org>2012-11-05 18:20:13 (GMT)
commit3a0ffa6225ec4b6f95dc691a91dec7f7e04cb7ec (patch)
treea795a5a9ac82f018f0aa619d05e6b935c3d95204 /Modules/Squish4RunTestCase.sh
parent2ae9d03fa64b49d708e489db0275f6893dfc05b4 (diff)
downloadCMake-3a0ffa6225ec4b6f95dc691a91dec7f7e04cb7ec.zip
CMake-3a0ffa6225ec4b6f95dc691a91dec7f7e04cb7ec.tar.gz
CMake-3a0ffa6225ec4b6f95dc691a91dec7f7e04cb7ec.tar.bz2
Squish: add support for squish 4 (#9734)
This patch adds support for Squish 4.x. The changes are basically what is attached to http://public.kitware.com/Bug/view.php?id=9734. When adding a test for squish 4.x, use squish_v4_add_test(). Alex
Diffstat (limited to 'Modules/Squish4RunTestCase.sh')
-rwxr-xr-xModules/Squish4RunTestCase.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/Modules/Squish4RunTestCase.sh b/Modules/Squish4RunTestCase.sh
new file mode 100755
index 0000000..abd5deb
--- /dev/null
+++ b/Modules/Squish4RunTestCase.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+SQUISHSERVER=$1
+SQUISHRUNNER=$2
+TESTSUITE=$3
+TESTCASE=$4
+AUT=$5
+AUTDIR=$6
+SETTINGSGROUP=$7
+
+$SQUISHSERVER --stop > /dev/null 2>&1
+
+echo "Adding AUT... $SQUISHSERVER --settingsGroup $SETTINGSGROUP --config addAUT $AUT $AUTDIR"
+$SQUISHSERVER --settingsGroup "$SETTINGSGROUP" --config addAUT "$AUT" "$AUTDIR" || exit -1
+# sleep 1
+
+echo "Starting the squish server... $SQUISHSERVER --daemon"
+$SQUISHSERVER --daemon || exit -1
+# sleep 2
+
+echo "Running the test case...$SQUISHRUNNER --settingsGroup $SETTINGSGROUP --testsuite $TESTSUITE --testcase $TESTCASE"
+$SQUISHRUNNER --settingsGroup "$SETTINGSGROUP" --testsuite "$TESTSUITE" --testcase "$TESTCASE"
+returnValue=$?
+
+echo "Stopping the squish server... $SQUISHSERVER --stop"
+$SQUISHSERVER --stop
+
+exit $returnValue